-- loadresource("data\\images\\GIRL.png","a1003",1003);
-- loadresource("data\\images\\boy.png","a1004",1004);
loadresource("data\\2\\0\\white.jpg","a1009",1009);-----------------
loadresource("data\\2\\0\\nightvision.jpg","a1015",1015);--------------
loadresource("data\\2\\0\\inside2.png","a1012",1012);---------------
loadresource("data\\2\\0\\bridge.png","bridge");---------------

loadresource("data\\0\\0\\main_0.png","main_0");
loadresource("data\\2\\0\\0034.jpg","a0034",34);-------------------------
-- loadresource("data\\0\\0\\arrow_anim.png","arrow11");
loadresource("data\\0\\0\\arrow_anim1.png","arrow11");
Object111= {378,95,800,95,800,400,378,400}
-- loadresource("data\\ingame\\NV.png","NV");

loadresource("data\\ingame\\inv\\7.png","7");
loadresource("data\\ingame\\inv\\8.png","8");
loadresource("data\\ingame\\inv\\9.png","9");
loadresource("data\\ingame\\inv\\10.png","10");
loadresource("data\\ingame\\inv\\11.png","11");
loadresource("data\\ingame\\inv\\12.png","12");
loadresource("data\\3\\0\\1.png","chastica",10000);

addstaticobjecttogame(500, "chastica",50,50,"");
addstaticobjecttogame(501, "chastica",100,50,"");
addstaticobjecttogame(502, "chastica",300,50,"");
addstaticobjecttogame(503, "chastica",400,50,"");
addstaticobjecttogame(504, "chastica",284,468,"");
addstaticobjecttogame(505, "chastica",600,50,"");
addstaticobjecttogame(506, "chastica",600,50,"");

addstaticobjecttogame(507, "chastica",600,50,"");
addstaticobjecttogame(508, "chastica",600,50,"");

addstaticobjecttogame(509, "chastica",600,500,"");
addstaticobjecttogame(510, "chastica",600,500,"");
addstaticobjecttogame(511, "chastica",600,500,"");
addstaticobjecttogame(512, "chastica",600,500,"");
addstaticobjecttogame(513, "chastica",600,500,"");





add_animation(NewId("arrow11"));
add_animation_frame(obj.arrow11.id,"arrow11",845,570,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow11.id,"arrow1")
add_animation_frame(obj.arrow11.id,"arrow11",845,570,63,60,60,60,0.1);
add_animation_frame(obj.arrow11.id,"arrow11",845,570,126,60,60,60,0.1);
add_animation_frame(obj.arrow11.id,"arrow11",845,570,63,60,60,60,0.1);	
set_visible_object(obj.arrow11.id,false);

add_animation(NewId("arrow3"));
add_animation_frame(obj.arrow3.id,"arrow11",845,570,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow3.id,"arrow1")
add_animation_frame(obj.arrow3.id,"arrow11",845,570,63,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow11",845,570,126,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow11",845,570,63,60,60,60,0.1);				
speciale_action(2,obj.arrow3.id);	


addactivobjecttogame(1012,"a1012",760,197,"","");
setcolor(1012,0,1,0,0.01);
set_visible_object(1012,false);

addactivobjecttogame(1010,"main_0",169,436+13,"","",0,0,552,686,68,79);
set_visible_object(1010,false);

-- addstaticobjecttogame(1003, "a1003",1024,200,"");
-- addstaticobjecttogame(1004, "a1004",1024,200,"");

addfade(1025,0.9);




NewObj("gear1","main_0",759,562,"11",0,0,445,485,63,46);
NewObj("gear2","main_0",439,505,"12",0,0,507,485,44,42);
NewObj("gear3","main_0",613,478,"13",0,0,403,503,29,31);
NewObj("gear4","main_0",142,476,"14",0,0,392,442,53,61);
NewObj("gear5","main_0",200,602,"15",0,0,325,516,74,45);
NewObj("pendulum","main_0",976,92,"16",0,0,579,392,44,172);

-- Set_Cursor(obj.gear1.id,4)
-- Set_Cursor(obj.gear2.id,4)
-- Set_Cursor(obj.gear3.id,4)
-- Set_Cursor(obj.gear4.id,4)
-- Set_Cursor(obj.gear5.id,4)
-- Set_Cursor(obj.pendulum.id,4)


NewObj("coin","main_0",871,203,"300",0,0,351,470,41,41);
NewObj("nail","main_0",300,49,"1",0,0,325,392,26,90);
NewObj("crown","main_0",8,269,"2",0,0,351,438,41,32);
NewObj("bucket","main_0",8,410,"5",0,0,194,391,75,102);
NewObj("shovel","main_0",106,315,"6",0,0,270,392,55,173);
NewObj("coil_spring","main_0",801,-1,"7",0,0,233,494,37,74);
NewObj("nut","main_0",14,590,"8",0,0,351,392,52,46);
NewObj("rope","main_0",300,575,"9",0,0,403,392,65,50);
NewObj("spider","main_0",586,455,"10",0,0,195,494,26,58);

NewObj("gear1_nvg","main_0",759,562,"",0,0,319,686,63,45);
NewObj("gear2_nvg","main_0",439,505,"",0,0,509,686,43,43);
NewObj("gear3_nvg","main_0",613,478,"",0,0,319,732,29,31);
NewObj("gear4_nvg","main_0",142,476,"",0,0,456,686,53,61);
NewObj("gear5_nvg","main_0",200,602,"",0,0,382,686,74,45);
NewObj("pendulum_nvg","main_0",976,92,"",0,0,786,389,43,173);


NewObj1("gear11","7",3759,562,"11");
NewObj1("gear21","8",4439,505,"12");
NewObj1("gear31","9",3613,478,"13");
NewObj1("gear41","10",3142,476,"14");
NewObj1("gear51","11",3200,602,"15");

NewObj1("pendulum1","12",3976,92,"16");

setcolor(obj.gear1.id,0,0,0,0,0);  
setcolor(obj.gear2.id,0,0,0,0,0);  
setcolor(obj.gear3.id,0,0,0,0,0);  
setcolor(obj.gear4.id,0,0,0,0,0);  
setcolor(obj.gear5.id,0,0,0,0,0);  
setcolor(obj.pendulum.id,0,0,0,0,0); 

set_pixel_check  (  obj.gear1.id,false)
set_pixel_check  (  obj.gear2.id,false)
set_pixel_check  (  obj.gear3.id,false)
set_pixel_check  (  obj.gear4.id,false)
set_pixel_check  (  obj.gear5.id,false)
set_pixel_check  (  obj.pendulum.id,false)

set_pixel_check  (  obj.coin.id,false)
set_pixel_check  (  obj.nail.id,false)
set_pixel_check  (  obj.crown.id,false)
set_pixel_check  (  obj.bucket.id,false)
set_pixel_check  (  obj.shovel.id,false)
set_pixel_check  (  obj.coil_spring.id,false)
set_pixel_check  (  obj.nut.id,false)
set_pixel_check  (  obj.rope.id,false)
set_pixel_check  (  obj.spider.id,false)




if not obj.coin.is_collapsed then
	setcolor(obj.coin.id,1,1,1,0,1);     
end;
if not obj.nail.is_collapsed then
	setcolor(obj.nail.id,1,1,1,0,1);
end;
if not obj.crown.is_collapsed then
	setcolor(obj.crown.id,1,1,1,0,1);
end;
if not obj.bucket.is_collapsed then
	setcolor(obj.bucket.id,1,1,1,0,1);
end;
if not obj.shovel.is_collapsed then
	setcolor(obj.shovel.id,1,1,1,0,1);
end;
if not obj.coil_spring.is_collapsed then
	setcolor(obj.coil_spring.id,1,1,1,0,1);
end;
if not obj.nut.is_collapsed then
	setcolor(obj.nut.id,1,1,1,0,1);
end;
if not obj.rope.is_collapsed then
	setcolor(obj.rope.id,1,1,1,0,1);
end;
if not obj.spider.is_collapsed then
	setcolor(obj.spider.id,1,1,1,0,1);
end;

set_visible_object( obj.gear1_nvg.id, false );
set_visible_object( obj.gear2_nvg.id, false );
set_visible_object( obj.gear3_nvg.id, false );
set_visible_object( obj.gear4_nvg.id, false );
set_visible_object( obj.gear5_nvg.id, false );
set_visible_object( obj.pendulum_nvg.id, false );

addactivobjecttogame(17,"main_0",154,439,"","",0,0,468,392,111,93);
addactivobjecttogame(1011,"main_0",620,420,"","",0,0,468,392,111,93);
OnMouseOver(17);
setcolor(1011,1,1,1,0.4);
set_visible_object(1011,false);
addstaticobjecttogame(18,"main_0",133,449,"",496,564,127,98);
addstaticobjecttogame(19,"main_0",812,256,"",623,392,159,289);
addactivobjecttogame(20,"main_0",862,332,"","",0,0,579,392,44,172);
addstaticobjecttogame(21,"main_0",868,267,"",286,686,33,38);
addactivobjecttogame(22,"main_0",882,274,"","",0,0,64,671,45,50);
addactivobjecttogame(23,"main_0",829,480,"","",0,0,0,582,75,86);
addactivobjecttogame(24,"main_0",897,481,"","",0,0,240,686,47,52);
addstaticobjecttogame(25,"main_0",880,495,"",64,721,32,37);
addstaticobjecttogame(26,"main_0",842,275,"",109,721,40,46);
addstaticobjecttogame(27,"main_0",846,332,"",186,686,54,63);
addstaticobjecttogame(28,"main_0",855,281,"",152,671,33,87);
addactivobjecttogame(29,"main_0",890,378,"","",0,0,0,668,64,73);
addstaticobjecttogame(30,"main_0",879,327,"",74,582,28,81);
addstaticobjecttogame(31,"main_0",886,351,"",109,670,44,50);
addactivobjecttogame(32,"main_0",839,404,"","",0,0,479,90,103);
addstaticobjecttogame(33,"main_0",861,334,"",105,478,83,191);
addactivobjecttogame(1009,"a1009",0,0,"","");
speciale_action(2,1009);
addactivobjecttogame(1015,"a1015",0,0,"","");
speciale_action(2,1015);
addactivobjecttogame(10144,"bridge",278+63,95,"","");


speciale_action(2,10144)
addstaticobjecttogame(34,"a0034",0,0,"");
speciale_action(2,35);
set_pixel_check(1011,false);

DarkScreen(true);

---------------------------------------------------------
CreateCommonObjects( 2 );

